Debian Bug report logs - #230232
ecos: FTBFS: Error using kernel headers

version graph

Package: ecos; Maintainer for ecos is (unknown);

Reported by: Daniel Schepler <schepler@math.berkeley.edu>

Date: Thu, 29 Jan 2004 11:48:03 UTC

Severity: serious

Tags: fixed, patch

Found in version 2.0-0pre2

Fixed in versions ecos/2.0-0pre3, 2.0-0pre2.1

Done: "Adam D. Barratt" <debian-bts@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Masato Taruishi <taru@debian.org>:
Bug#230232; Package ecos. Full text and rfc822 format available.

Acknowledgement sent to Daniel Schepler <schepler@math.berkeley.edu>:
New Bug report received and forwarded. Copy sent to Masato Taruishi <taru@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Schepler <schepler@math.berkeley.edu>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ecos: FTBFS: Error using kernel headers
Date: Tue, 27 Jan 2004 10:45:46 -0800
[Message part 1 (text/plain, inline)]
Package: ecos
Severity: serious
Version: 2.0-0pre2
Tag: patch

From my build log:

...
Making all in packages/io/usb/slave/v2_0/host
make[2]: Entering directory `/tmp/buildd/ecos-2.0/build/packages/io/usb/slave/v2_0/host'
gcc -DHAVE_LINUX_USB_H=1 -DHAVE_LINUX_USBDEVICE_FS_H=1  -I. -I../../../../../../../build-tree/ecos-2.0/packages/io/usb/slave/v2_0/host  -I/usr/include/tcl8.3/tcl-private/generic   -pipe -Wall -Wpointer-arith -Wbad-function-cast -Wcast-qual -Wstrict-prototypes -Wmissing-prototypes -Wnested-externs -O0 -DUSBHOST_VERSION=\"0.1\" -DPKGVERSION=\"v2_0\" -DUSBAUXDIR=\"/usr/libexec/ecos/io/usb/slave/v2_0\"  -c ../../../../../../../build-tree/ecos-2.0/packages/io/usb/slave/v2_0/host/usbhost.c
../../../../../../../build-tree/ecos-2.0/packages/io/usb/slave/v2_0/host/usbhost.c: In function `usb_control_message':
../../../../../../../build-tree/ecos-2.0/packages/io/usb/slave/v2_0/host/usbhost.c:311: error: structure has no member named `requesttype'
../../../../../../../build-tree/ecos-2.0/packages/io/usb/slave/v2_0/host/usbhost.c:316: error: structure has no member named `request'
../../../../../../../build-tree/ecos-2.0/packages/io/usb/slave/v2_0/host/usbhost.c:317: error: structure has no member named `request'
../../../../../../../build-tree/ecos-2.0/packages/io/usb/slave/v2_0/host/usbhost.c:318: error: structure has no member named `request'
...
make[2]: *** [usbhost.o] Error 1
make[2]: Leaving directory `/tmp/buildd/ecos-2.0/build/packages/io/usb/slave/v2_0/host'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/tmp/buildd/ecos-2.0/build'
make: *** [build-arch-stamp] Error 2

I've included a patch which fixes the compilation, though I have no
idea how to make it a proper patch for dbs.

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux frobnitz 2.6.1 #1 Sun Jan 11 12:58:34 PST 2004 i686
Locale: LANG=en, LC_CTYPE=en (ignored: LC_ALL set to en_US.UTF-8)


-- 
Daniel Schepler              "Please don't disillusion me.  I
schepler@math.berkeley.edu    haven't had breakfast yet."
                                 -- Orson Scott Card
[ecos.diff (text/x-patch, attachment)]

Tags added: patch Request was from Roland Stigge <stigge@antcom.de> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed Request was from Kenshi Muto <kmuto@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Luk Claes <luk@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Daniel Schepler <schepler@math.berkeley.edu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #14 received at 230232-close@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: 230232-close@bugs.debian.org
Subject: Bug#230232: fixed in ecos 2.0-0pre3
Date: Sat, 16 Sep 2006 10:32:08 -0700
Source: ecos
Source-Version: 2.0-0pre3

We believe that the bug you reported is fixed in the latest version of
ecos, which is due to be installed in the Debian FTP archive:

ecos-doc_2.0-0pre3_all.deb
  to pool/main/e/ecos/ecos-doc_2.0-0pre3_all.deb
ecos_2.0-0pre3.diff.gz
  to pool/main/e/ecos/ecos_2.0-0pre3.diff.gz
ecos_2.0-0pre3.dsc
  to pool/main/e/ecos/ecos_2.0-0pre3.dsc
ecos_2.0-0pre3_all.deb
  to pool/main/e/ecos/ecos_2.0-0pre3_all.deb
ecosconfig_2.0-0pre3_i386.deb
  to pool/main/e/ecos/ecosconfig_2.0-0pre3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 230232@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Luk Claes <luk@debian.org> (supplier of updated ecos package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 16 Sep 2006 17:29:43 +0200
Source: ecos
Binary: ecos-doc ecosconfig ecos
Architecture: source all i386
Version: 2.0-0pre3
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Luk Claes <luk@debian.org>
Description: 
 ecos       - Deeply embedded operating system
 ecos-doc   - Documentation for eCos
 ecosconfig - eCos host-side software
Closes: 230232 280329 285697 304788 327838 342960 356970 378420
Changes: 
 ecos (2.0-0pre3) unstable; urgency=low
 .
   * QA upload.
   * Set maintainer to Debian QA Group.
   * Transition to tcl8.4 (Closes: #378420).
   * Acknowlege NMUs
     (Closes: #230232, #280329, #285697, #327838, #304788, #356970, #342960).
Files: 
 1a2619b571b5636c98ec45c4bc806495 684 devel optional ecos_2.0-0pre3.dsc
 e59ca784d753e3219cbb8cb1da4254e0 328559 devel optional ecos_2.0-0pre3.diff.gz
 63a424f068caaed610d73814ca92d9a4 13268564 devel optional ecos_2.0-0pre3_all.deb
 8648b8f054e6742bd17274335b336ff0 1464840 doc optional ecos-doc_2.0-0pre3_all.deb
 31dae21219f8447dd1e084dfbdd81622 2117840 devel optional ecosconfig_2.0-0pre3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFDCkO5UTeB5t8Mo0RArYnAJ9CcGh/oJwVPLIUQ+0oJOsY73XTpACfSxh5
HbDQPcGi3rN476zaKO6CONM=
=lse4
-----END PGP SIGNATURE-----




Bug marked as fixed in version 2.0-0pre2.1, send any further explanations to Daniel Schepler <schepler@math.berkeley.edu> Request was from "Adam D. Barratt" <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Daniel Schepler <schepler@math.berkeley.edu>:
Bug#230232. Full text and rfc822 format available.

Message #19 received at 230232-submitter@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <debian-bts@adam-barratt.org.uk>
To: 152169-submitter@bugs.debian.org, 192092-submitter@bugs.debian.org, 200766-submitter@bugs.debian.org, 203053-submitter@bugs.debian.org, 203676-submitter@bugs.debian.org, 203851-submitter@bugs.debian.org, 203871-submitter@bugs.debian.org, 204242-submitter@bugs.debian.org, 205993-submitter@bugs.debian.org, 206124-submitter@bugs.debian.org, 206649-submitter@bugs.debian.org, 207749-submitter@bugs.debian.org, 207886-submitter@bugs.debian.org, 208121-submitter@bugs.debian.org, 208128-submitter@bugs.debian.org, 161935-submitter@bugs.debian.org, 208402-submitter@bugs.debian.org, 208132-submitter@bugs.debian.org, 204220-submitter@bugs.debian.org, 208358-submitter@bugs.debian.org, 209101-submitter@bugs.debian.org, 223434-submitter@bugs.debian.org, 227792-submitter@bugs.debian.org, 227817-submitter@bugs.debian.org, 235327-submitter@bugs.debian.org, 236663-submitter@bugs.debian.org, 209511-submitter@bugs.debian.org, 224432-submitter@bugs.debian.org, 212071-submitter@bugs.debian.org, 212234-submitter@bugs.debian.org, 213040-submitter@bugs.debian.org, 213872-submitter@bugs.debian.org, 214471-submitter@bugs.debian.org, 214623-submitter@bugs.debian.org, 215967-submitter@bugs.debian.org, 216563-submitter@bugs.debian.org, 216854-submitter@bugs.debian.org, 217086-submitter@bugs.debian.org, 217620-submitter@bugs.debian.org, 218483-submitter@bugs.debian.org, 222757-submitter@bugs.debian.org, 304720-submitter@bugs.debian.org, 315060-submitter@bugs.debian.org, 323740-submitter@bugs.debian.org, 335141-submitter@bugs.debian.org, 349635-submitter@bugs.debian.org, 350053-submitter@bugs.debian.org, 223168-submitter@bugs.debian.org, 223325-submitter@bugs.debian.org, 230232-submitter@bugs.debian.org, 209511-submitter@bugs.debian.org, 224432-submitter@bugs.debian.org, 201807-submitter@bugs.debian.org, 225292-submitter@bugs.debian.org, 215517-submitter@bugs.debian.org, 225298-submitter@bugs.debian.org, 227101-submitter@bugs.debian.org, 228640-submitter@bugs.debian.org, 229394-submitter@bugs.debian.org, 229953-submitter@bugs.debian.org, 207796-submitter@bugs.debian.org, 230810-submitter@bugs.debian.org, 232215-submitter@bugs.debian.org, 232476-submitter@bugs.debian.org, 233004-submitter@bugs.debian.org, 233145-submitter@bugs.debian.org, 233146-submitter@bugs.debian.org, 233145-submitter@bugs.debian.org, 233320-submitter@bugs.debian.org, 233800-submitter@bugs.debian.org, 234098-submitter@bugs.debian.org, 234220-submitter@bugs.debian.org, 234222-submitter@bugs.debian.org, 235014-submitter@bugs.debian.org, 235074-submitter@bugs.debian.org, 237421-submitter@bugs.debian.org, 237265-submitter@bugs.debian.org, 237564-submitter@bugs.debian.org, 238709-submitter@bugs.debian.org, 238935-submitter@bugs.debian.org, 239748-submitter@bugs.debian.org
Subject: Bugs fixed in NMU, documenting versions
Date: Sun, 22 Oct 2006 16:15:55 +0100
# Hi,
#
# These bugs were fixed in an NMU, but have not been acknowledged by the
# maintainers.  With version tracking in the Debian BTS, it is important
# to know which version of a package fixes each bug so that they can be
# tracked for release status, so I'm closing these bugs with the
relevant
# version information now

close 152169 1.3.1-2.2
close 192092 0.4-0.1
close 200766 0.4-0.1
close 203053 0.51-3.1
close 203676 1.4pre.20030402-1.1
close 203851 1.30.1-4.2
close 203871 0.50.0-1.1
close 204242 12.1-2.1
close 205993 0.8.5-1.1
close 206124 0.94-2.1
close 206649 0.8.4.1
close 207749 0.2.1a-9.2
close 207886 1.13-2.1
close 208121 0.2.1a-9.1
close 208128 1.1-1.2
close 161935 1.1-1.2
close 208402 1.1-1.2
close 208132 0.2.5.1-3.1
close 204220 1.55-0.1
close 208358 1.55-0.1
close 209101 1.55-0.1
close 223434 1.55-0.1
close 227792 1.55-0.1
close 227817 1.55-0.1
close 235327 1.55-0.1
close 236663 1.55-0.1
close 209511 0.20-1.1
close 224432 0.20-1.1
close 212071 1:1.5.1-3.1
close 212234 0.2.1a-9.4
close 213040 0.2.1a-9.4
close 213872 0.2002083100+1.0Beta6-2.1
close 214471 1:1.0.0-rel-2.1
close 214623 7:6.2.4.5.dfsg1-0.9
close 215967 1.0.9-5.1
close 216563 0.4.10b5-1.1
close 216854 0.4-0.2
close 217086 1.10-1.1
close 217620 1.6.3-8.1
close 218483 3.1.1-1.1
close 222757 0.82-5.2
close 304720 0.82-5.2
close 315060 0.82-5.2
close 323740 0.82-5.2
close 335141 0.82-5.2
close 349635 0.82-5.2
close 350053 0.82-5.2
close 223168 1.9.1-4.1
close 223325 2.0-0pre2.1
close 230232 2.0-0pre2.1
close 209511 0.20-1.1
close 224432 0.20-1.1
close 201807 1.5-0.1
close 225292 1.5-0.1
close 215517 1.5-1
close 225298 1.5-1
close 227101 20031216-1
close 228640 1.10-1.2
close 229394 9.4.2-2.1
close 229953 0.36-3.1
close 207796 0.26-2.1
close 230810 0.26-2.1
close 232215 1.0.0-6.1
close 232476 2.1.1-1.1
close 233004 2.5.0.0-7.2
close 233145 3.3.1.0-1.1
close 233146 2.5.0.0-7.1
close 233145 3.3.1.0-1.1
close 233320 1.7-2.1
close 233800 1.2-1
close 234098 1.1-2.1
close 234220 1.6-0.1
close 234222 1.6-0.1
close 235014 0.9.26-3.1
close 235074 1.0.0-6.1
close 237421 1:19970918-12
close 237265 4.5-1.1
close 237564 4.5-1.1
close 238709 9woody1
close 238935 0.7.0-6.1
close 239748 9.4.2-2.1




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 03:08:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:42:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.